Bug 1367864 - Server assumes latest version of command instead of version 1 for old / 3rd party clients
Summary: Server assumes latest version of command instead of version 1 for old / 3rd p...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-17 16:39 UTC by Petr Vobornik
Modified: 2016-11-04 06:01 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 06:01:29 UTC


Attachments (Terms of Use)
console.log (4.14 KB, text/plain)
2016-09-20 12:06 UTC, Abhijeet Kasurde
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Petr Vobornik 2016-08-17 16:39:16 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/6217

When the server receives an unversioned command call, it will assume the latest version of the command instead of version 1.

This will break old and 3rd party clients when a new version of command is introduced.

Fix the server to assume version 1 for unversioned command calls.

Comment 1 David Kupka 2016-08-31 12:38:52 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/8891465247a0bab5d07f560f2c963f3ee56905f0

Comment 2 David Kupka 2016-09-01 11:21:09 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/afcb3bd3c32aa33dcd68cd0a2ca85bda677000a8

Comment 7 Abhijeet Kasurde 2016-09-19 12:42:05 UTC
Verified using IPA version::
ipa-server-4.4.0-12.el7.x86_64

Marking BZ as verified.

Comment 8 Abhijeet Kasurde 2016-09-20 12:06 UTC
Created attachment 1202871 [details]
console.log

Comment 10 errata-xmlrpc 2016-11-04 06:01:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.